Bug 18047 - missing firmware for aic94xx caused installer fail to detect drivers
: missing firmware for aic94xx caused installer fail to detect drivers
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/mkimage-profiles-desktop)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 23155
  Show dependency tree
 
Reported: 2008-11-30 01:28 by
Modified: 2011-08-12 20:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-11-30 01:28:56
Все очень просто - новые драйвера aic94xx (post-kernel 2.6.18) не заводятся без
прошивки в /lib/firmware, поэтому если диски работают через этот контроллер без
правильной инциализации они не увидятся. BTW было бы неплохо прочитать у
пользователя диск с новой firmware (adaptec такие выпускает, но распостранять
запрещает).

Пакет с прошивкой в сизифе есть, называется firmware-aic94xx-seq-17.

PS Подозреваю, что те же проблемы коснутся и Desktop, но для него они менее
актуальны.
------- Comment #1 From 2009-04-05 01:23:39 -------
ping
------- Comment #2 From 2009-06-06 00:54:37 -------
ping. Заинтересовано ли ООО в поддержке aic94xx? :)
------- Comment #3 From 2010-06-15 15:27:29 -------
Столкнулся с подобной проблемой при тестировании
http://ftp.altlinux.org/pub/beta/centaurus/altlinux-5.9.9-20100408-centaurus-x86_64-ru-install-dvd5.iso

инсталлятор не видит диски. При пересборке iso с включением
firmware-aic94xx-seq в список пакетов install2 и в base-server диск все равно
не увидался. Симптомы как в https://bugzilla.redhat.com/show_bug.cgi?id=240105
Вариант объезда - при загрузке X перейти в консоль и выгрузить и загрузить
модуль aic94xx. Тогда диски увидались.
------- Comment #4 From 2010-11-07 01:04:07 -------
В Release Notes?
------- Comment #5 From 2011-06-24 03:15:38 -------
Актуально?
------- Comment #6 From 2011-06-24 06:58:53 -------
(В ответ на комментарий №5)
> Актуально?
У меня на данный момент такого свободного железа нет и проверить не могу.
------- Comment #7 From 2011-06-25 14:00:05 -------
Насколько знаю, да.

Я это чинил в mkimage-profiles, вот относящиеся коммиты:
http://git.altlinux.org/people/mike/public/?p=mkimage-profiles.git;a=commitdiff;h=265e25c5f00cbb47d8d327c1838a41393e35725a
http://git.altlinux.org/people/mike/public/?p=mkimage-profiles.git;a=commitdiff;h=8a5632bb84388b36d42ba4d4f05a14909ee4259c

Насколько помню -- требуется добавить пакет firmware-aic94xx-seq в
CHROOT_PACKAGES стадии, которая вызывает цель build-propagator; в случае
mkimage-profiles-desktop это profiles/Makefile.in

Вот тестовый образ, который вроде как включает нужное firmware в stage1:
http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/ovz/server-ovz-20110614-x86_64.iso

У меня такого железа под рукой уже тоже несколько лет как нет.

PS: помимо инсталера, надо же и в [базовую] систему класть тогда.
------- Comment #8 From 2011-06-25 14:06:02 -------
2boyarsh: Антон, прошу проверить. Бага от 2008 года, надо закрывать.
------- Comment #9 From 2011-06-25 22:48:01 -------
(В ответ на комментарий №6)
> (В ответ на комментарий №5)
> > Актуально?
> У меня на данный момент такого свободного железа нет и проверить не могу.

У меня такое железо имеется, но проверить могу не раньше след. недели.
------- Comment #10 From 2011-06-26 01:40:20 -------
(В ответ на комментарий №9)
> (В ответ на комментарий №6)
> > (В ответ на комментарий №5)
> > > Актуально?
> > У меня на данный момент такого свободного железа нет и проверить не могу.
> 
> У меня такое железо имеется, но проверить могу не раньше след. недели.

Отличнол. Эта бага ждет своего часа два с половиной года, неделя -- не вопрос.
:-)
------- Comment #11 From 2011-06-26 22:39:49 -------
(В ответ на комментарий №10)
> 
> Отличнол. Эта бага ждет своего часа два с половиной года, неделя -- не вопрос.
> :-)
Алексей, я это проверю просто из жалости к ООО, которое уже как 2 года не может
найти ресурсы на качественный R&D )
------- Comment #12 From 2011-06-26 22:46:12 -------
(В ответ на комментарий №11)
> (В ответ на комментарий №10)
> > 
> > Отличнол. Эта бага ждет своего часа два с половиной года, неделя -- не вопрос.
> > :-)
> Алексей, я это проверю просто из жалости к ООО, которое уже как 2 года не может
> найти ресурсы на качественный R&D )

Константин, Ваши мотивы меня в данном случае не интересуют. Сделаете -- скажу
спасибо.
------- Comment #13 From 2011-06-30 00:09:22 -------
Итак, на последнем образе имени Михаила все работает, по-крайней мере, firmware
грузится _до_ детекта дисков.

Proof -
https://picasaweb.google.com/lh/photo/yMbmUB_7MPUwU9TmIRKCTg?feat=directlink
------- Comment #14 From 2011-07-07 19:41:45 -------
Э, так то на одной цели из mkimage-profiles.git :-)  В m-p-d портировать надо. 
Попробую сделать, но лучше на это не закладываться, а коммиты посмотреть.
------- Comment #15 From 2011-07-08 02:37:23 -------
Проверил наскоро, вроде бы этого коммита достаточно -- в инсталяторном livecd
не появляется (ещё надо бы в lists/base*, плюс в rescue и live -- всё равно
мелкое):

http://git.altlinux.org/people/mike/packages/?p=mkimage-profiles-desktop.git;a=commitdiff;h=3d2ae47c3fdac53d84b4366ac00a4f6c3a97fab0;hp=3277f6715f5d35bbfe7725d0ce1cea7bf552f932

2 lakostis: можешь при случае на той машинке запустить исошку?

http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/altlinux-6.0.0-20110708-centaurus-x86_64-ru-install-dvd5.iso

(In reply to comment #7)
> Насколько помню -- требуется добавить пакет firmware-aic94xx-seq в
> CHROOT_PACKAGES стадии, которая вызывает цель build-propagator; в случае
> mkimage-profiles-desktop это profiles/Makefile.in
Помогло добавление в profiles/pkg/lists/kernel.in (процитированного не
хватило).
------- Comment #16 From 2011-08-11 17:50:26 -------
В профиле Антона есть те же строчки:

profiles/Makefile.in:37:          firmware-linux firmware-aic94xx-seq \
profiles/pkg/lists/kernel-server:8:firmware-aic94xx-seq
profiles/pkg/lists/kernel-server.in:8:firmware-aic94xx-seq
profiles/pkg/lists/.base:151:firmware-aic94xx-seq
profiles/Makefile:37:          firmware-linux firmware-aic94xx-seq \
------- Comment #17 From 2011-08-12 20:27:36 -------
Ставлю пока WONTFIX, так как нет оперативной возможности проверить. Все, что
нужно было вроде сделали.